<%- contentFor("main-content") %>
<div class="container-fluid">

    <div class="row">
        <div class="col-12">
            <script type="text/javascript" src="/scripts/typehead.min.js"></script>
            <script type="text/javascript" src="/scripts/create_edit_post.js"></script>
            <form id="create-post" method="POST">
                <input type="hidden" value="<%= post._id %>" name="id" />
                <input type="hidden" value="<%= multi %>" name="multi" />

                <!-- ########## STEP 1 - START ########## -->
                <div class="step">
                    <div class="row">
                        <div class="offset-lg-3 col-lg-6">
                            <h4 class="step-heading">Step 1: General informations</h2>
                            <hr/>
                            <p class="step-description">
                                Give general informations about the post you're creating. Such as a title and an optional reference link to per example the source.
                            </p>
                        </div>
                    </div>
                    <div class="form-group row">
                        <div class="offset-lg-3 col-lg-6">
                            <div class="row">
                                <label for="input-title" class="col-2 col-form-label">Title</label>
                                <div class="col-10">
                                    <input class="form-control" type="text" name="title" id="input-title" value="<%= post.title %>" placeholder="Enter a title for your post">
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="form-group row">
                        <div class="offset-lg-3 col-lg-6">
                            <div class="row">
                                <label for="input-reflink" class="col-2 col-form-label">Reflink</label>
                                <div class="col-10">
                                    <input class="form-control" type="url" name="reflink" id="input-reflink" value="<%= post.reflink %>" placeholder="Enter a reference URL">
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- ########## STEP 1 - END ########## -->

                <!-- ########## STEP 2 - START ########## -->
                <div class="step">
                    <div class="row">
                        <div class="offset-lg-3 col-lg-6">
                            <h4 class="step-heading">Step 2: Images</h2>
                            <hr/>
                            <p class="step-description">
                                Add the images to your post and order them as you like.
                            </p>
                        </div>
                    </div>
                    <div class="form-group row">
                        <div class="offset-lg-3 col-lg-6">
                            <div class="row">
                                <label for="input-link" class="col-2 col-form-label">Folder</label>
                                <div class="col-10 content-folder">
                                    <input class="form-control" type="text" name="content-folder" value="" placeholder="Enter folder name that gets added to all links you insert below (optional)">
                                    <a href="javascript:;" class="btn btn-primary btn-accent-main" data-toggle="modal" data-target="#confirm-load-dir">Load directory</a>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="form-group row">
                        <div class="offset-lg-3 col-lg-6">
                            <div class="row">
                                <label for="input-link" class="col-2 col-form-label">Link</label>
                                <div class="col-10 content-links">
                                    <input class="form-control" type="text" name="content-link" value="" placeholder="Enter an URL to an image">
                                </div>
                                <label class="col-12 col-form-label element-counter">Currently <span><%= post.content.length %></span> images/videos in this post</label>
                            </div>
                        </div>
                    </div>
                    <div class="form-group row">
                        <div class="offset-lg-3 col-lg-6">
                            <div class="row">
                                <input type="file" multiple="multiple" name="media-items" />
                            </div>
                        </div>
                    </div>

                    <div class="form-group row post">
                        <div class="col-12 content-preview image-section">
                            <ul>
                            <% for(var i = 0; i < post.content.length; i++) { %>
                                <li class="preview-element ui-state-default">
                                    <span class="content-option rotate-content"><i class="fas fa-redo"></i></span>
                                    <span class="content-option delete-content"><i class="fas fa-times"></i></span>
                                    <% if (post.content[i].type == "image") { %>
                                        <img src="<%= post.content[i].link %>" alt="<%= post.content[i].link %>" class="content<% if (post.content[i].rotate != 0) { %> rotate-<%= post.content[i].rotate %><% } %>"/>
                                    <% } else if (post.content[i].type == "video") { %>
                                        <video controls>
                                            <source src="<%= post.content[i].link %>" type="video/<%= post.content[i].extension %>" class="content<% if (post.content[i].rotate != 0) { %> rotate-<%= posts.content[i].rotate %><% } %>">
                                        </video>
                                    <% } %>
                                </li>
                            <% } %>
                            </ul>
                        </div>
                    </div>
                </div>
                <!-- ########## STEP 2 - END ########## -->

                <!-- ########## STEP 3 - START ########## -->
                <div class="step">
                    <div class="row">
                        <div class="offset-lg-3 col-lg-6">
                            <h4 class="step-heading">Step 3: Tagging</h2>
                            <hr/>
                            <p class="step-description">
                                Add tags to your post to make it categorizable and much more easy to find.
                            </p>
                        </div>
                    </div>
                    <div class="form-group row">
                        <div class="offset-lg-3 col-lg-6">
                            <div class="row">
                                <label for="input-tags" class="col-2 col-form-label">Tags</label>
                                <div class="col-10">
                                    <input class="form-control" type="text" name="tags" id="input-tags" placeholder="Enter tags"/>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- ########## STEP 3 - End ########## -->

                <div class="form-group row">
                    <div class="offset-lg-3 col-lg-6 text-center">
                        <hr/>
                        <a href="" data-href="/delete-post/<%= post._id %>" class="btn btn-secondary delete-post" data-toggle="modal" data-target="#confirm-delete-post">Delete</a>
                        <% if (multi && multi != "false") { %>
                            <button type="submit" class="btn btn-primary btn-accent-main btn-post">Save changes & edit next one</button>
                        <% } else if (post._id != null) { %>
                            <button type="submit" class="btn btn-primary btn-accent-main btn-post">Save changes</button>
                        <% } else { %>
                            <button type="submit" class="btn btn-primary btn-accent-main btn-post">Create post</button>
                        <% } %>
                    </div>
                </div>
            </form>
        </div>
    </div>

    <input type="hidden" value="<%= post.tags %>" id="edit-tags" />

</div>


<!-- confirm load directory modal -->
<div class="modal fade" id="confirm-load-dir" tabindex="-1" role="dialog" aria-labelledby="cdp-modal-label" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered" role="document">
        <div class="modal-content">
        <div class="modal-header">
            <h5 class="modal-title" id="cdp-modal-label">Load directory?</h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">&times;</span>
            </button>
        </div>
        <div class="modal-body">
            Do you really want to load the specified directory? When doing so, all already added images and videos of this post will be overwritten. This cannot be undone.
        </div>
        <div class="modal-footer">
            <button type="button" class="btn btn-secondary" data-dismiss="modal">Cancel</button>
            <a href="javascipt:;" id="load-directory" class="btn btn-primary btn-accent-main">Load</a>
        </div>
        </div>
    </div>
</div>